package main

import (
	"log"

	"golang.org/x/text/language"
	"golang.org/x/text/message"
)

const (
	Flowers = "There are %v flowers in our garden.\n"
)

func init() {
	message.SetString(language.French, Flowers, "Il y a %d fleurs dans notre jardin.\n")
}

func main() {
	pUK := message.NewPrinter(language.BritishEnglish)
	pUK.Printf(Flowers, 1500)

	frFR, err := language.Parse("fr_FR") // Also: ParseBase, ParseRegion, Composer
	if err != nil {
		log.Fatalf("parsing fr_FR: %v", err)
	}
	pFR := message.NewPrinter(frFR)
	pFR.Printf(Flowers, 1500)
}
